Bug 447751 - Review Request: almanah - An application to allow you to keep a diary of your life
Review Request: almanah - An application to allow you to keep a diary of your...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 11:45 EDT by Jean-François Martin
Modified: 2008-07-17 10:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.4.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-17 10:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
German Translation for svn r64 (10.31 KB, text/plain)
2008-07-08 21:16 EDT, Christoph Wickert
no flags Details

  None (edit)
Description Jean-François Martin 2008-05-21 11:45:02 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/diary.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/diary-0.2-1.fc9.src.rpm
Description: Diary is a small GTK+ application to allow you to keep a diary of your life.
Comment 1 Jean-François Martin 2008-06-20 17:41:14 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/diary.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/diary-0.3-1.fc9.src.rpm
- Update to the new release
Comment 2 Jean-François Martin 2008-06-23 00:13:44 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/diary.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/diary-0.3.1-1.fc9.src.rpm

- Update to the new release
- Drop the patch (fixed upstream)
Comment 3 Patrice Dumas 2008-06-23 03:20:42 EDT
The name of this package seems also too generic to me.
Comment 4 Philip Withnall 2008-07-01 13:58:20 EDT
What are the problems with having a generically-named package? Before I named
the project (I'm the developer), I checked and I could find no projects which
use the name "diary", and it hasn't collided with anything so far.
Comment 5 Patrice Dumas 2008-07-01 18:03:39 EDT
I tried to explain it on:

https://fedoraproject.org/wiki/PackageMaintainers/PackagingTricks#Use_of_common_namespace
Comment 6 Philip Withnall 2008-07-02 18:10:04 EDT
Hmmm. I appreciate the point, but it would be an awful lot of hassle to change
the name. That isn't to say it isn't possible, but how important do you think it
is to change the name? No other distributions have raised problems with the
genericness of the name, although Diary isn't too widely packaged yet.
Comment 7 Patrice Dumas 2008-07-06 12:13:34 EDT
(In reply to comment #6)
> Hmmm. I appreciate the point, but it would be an awful lot of hassle to change
> the name. That isn't to say it isn't possible, but how important do you think it
> is to change the name? 

To me it is important, but you could also find another
reviewer who don't care about it and approve the package.

> No other distributions have raised problems with the
> genericness of the name, although Diary isn't too widely packaged yet.

If so it is the right time to do it, before it is widely
packaged.
Comment 8 Christoph Wickert 2008-07-06 19:45:34 EDT
I really like to see this package in Fedora because I use it a lot. I'm willing
to do the review but I fully agree with Patrice. I think best is to ask upstream
if he's willing to rename the package to something like gdiary or gnome-diary
(since it uses Gnome's GConv).

There already was a project named gnome-diary [1] but it never released something.

[1] http://sourceforge.net/projects/gnome-diary
Comment 9 Philip Withnall 2008-07-07 02:23:37 EDT
I can't really change the name to include "GNOME", since it's not part of the
GNOME desktop (even though it uses the same technologies).

How about "Almanac Diary", with "almanac" as the executable name?
Comment 10 Christoph Wickert 2008-07-07 04:33:50 EDT
(In reply to comment #9)
> I can't really change the name to include "GNOME", ...

I wasn't talking about you but about upstream.

> ...since it's not part of the
> GNOME desktop (even though it uses the same technologies).

To me GConf2 _is_ Gnome technology. There are a lot of gnome-* applications that
are not part of the official GNOME desktop.
Comment 11 Philip Withnall 2008-07-07 13:52:54 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > I can't really change the name to include "GNOME", ...
> 
> I wasn't talking about you but about upstream.

I *am* upstream!

> > ...since it's not part of the
> > GNOME desktop (even though it uses the same technologies).
> 
> To me GConf2 _is_ Gnome technology. There are a lot of gnome-* applications that
> are not part of the official GNOME desktop.

Regardless, I think it would be a bit foolish to choose a name which could be
confused with the gnome-diary project; even though it never released anything, I
don't want to have the possibility of any confusion.
Comment 12 Christoph Wickert 2008-07-08 06:03:53 EDT
(In reply to comment #11)
> 
> I *am* upstream!

Oops, sorry, I did not read close enough. My bad. :(

You are free to name the program whatever you like. "almanac" as the name of the
binary is still a little general, but I could not find something conflicting.
Comment 13 Philip Withnall 2008-07-08 15:37:28 EDT
OK, I'm renaming it to "Almanah Diary", and the executable's now called
"almanah" (note: this isn't "almanac" --- it's the Croatian translation, which
is a lot less generic).

I'll make a 0.4 release in a few days, to give some time for the translations to
catch up.
Comment 14 Christoph Wickert 2008-07-08 21:16:30 EDT
Created attachment 311333 [details]
German Translation for svn r64

Note: In almanah.ui.h:3 I replaced "Attached Links" with "Attachments" because
I think files and notes are no "links" from a linguistic pov.
Comment 15 Christoph Wickert 2008-07-08 21:20:49 EDT
(In reply to comment #13)
> OK, I'm renaming it to "Almanah Diary", and the executable's now called
> "almanah" (note: this isn't "almanac" --- it's the Croatian translation, which
> is a lot less generic).

I really like the name, so I already replaced "diary" with it in my translation.
Comment 16 Christoph Wickert 2008-07-08 22:02:03 EDT
Jean-François, the Gconf scriptlets are not needed because this application
doesn't install a schema (yet?). Gconf is only used to read the value of the
default encryption key.
Comment 17 Philip Withnall 2008-07-09 02:08:14 EDT
(In reply to comment #14)
> Created an attachment (id=311333) [edit]
> German Translation for svn r64
> 
> Note: In almanah.ui.h:3 I replaced "Attached Links" with "Attachments" because
> I think files and notes are no "links" from a linguistic pov.

Thanks for that. I've committed it to trunk.
Comment 18 Jean-François Martin 2008-07-09 18:50:01 EDT
(In reply to comment #16)
> Jean-François, the Gconf scriptlets are not needed because this application
> doesn't install a schema (yet?). Gconf is only used to read the value of the
> default encryption key.

I will fix this in the next package but i will wait for the next release to
build it.
Comment 19 Philip Withnall 2008-07-10 15:35:08 EDT
(In reply to comment #18)
> (In reply to comment #16)
> > Jean-François, the Gconf scriptlets are not needed because this application
> > doesn't install a schema (yet?). Gconf is only used to read the value of the
> > default encryption key.
> 
> I will fix this in the next package but i will wait for the next release to
> build it.

0.4.0 is out: http://tecnocode.co.uk/2008/07/10/extended-absence/ and
http://tecnocode.co.uk/downloads/almanah-0.4.0.tar.gz
Comment 20 Jean-François Martin 2008-07-12 10:55:29 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/almanah.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/almanah-0.4.0-1.fc9.src.rpm
- Change to the new name
- Remove GConf scriplets

Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=711758
Comment 21 Christoph Wickert 2008-07-13 20:05:45 EDT
Review for da202ef7a75b5d85a22b641eef0f61a2  almanah-0.4.0-1.fc9.src.rpm

FAIL - MUST: rpmlint /var/lib/mock/fedora-rawhide-i386/result/almanah-*
almanah.i386: W: spurious-executable-perm /usr/share/doc/almanah-0.4.0/README
almanah.i386: W: spurious-executable-perm /usr/share/doc/almanah-0.4.0/AUTHORS
almanah.i386: W: spurious-executable-perm /usr/share/doc/almanah-0.4.0/NEWS
almanah-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/almanah-0.4.0/src/main.c
almanah-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/almanah-0.4.0/src/main.h
almanah-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/almanah-0.4.0/src/interface.c
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

You should chown these files in %prep to fix these errors.

OK - MUST: The package is named according to the  Package Naming Guidelines
Ok - MUST: The spec file name matches the base package %{name}, in the format
%{name}.spec
OK - MUST: The package meets the  Packaging Guidelines
OK - MUST: The package is licensed with a Fedora approved license (GPLv3+)
OK - MUST: The License field in the package spec file matches the actual license
OK - MUST: License text from source is included in %doc
OK - MUST: The spec file is written in American English
OK - MUST: The spec file for the package is legible
OK - MUST: The sources used to build the package match the upstream source by
md5 59cdbff0ba8e53d736011608aeb6a8e3
OK - MUST: The package successfully compiles and builds into binary rpms on i386
OK - MUST: All build dependencies are listed in BuildRequires
OK - MUST: The spec file handles locales properly with %find_lang
OK - MUST: The package owns all directories that it creates
OK - MUST: The package does not contain any duplicate files in the %files listing
FAIL - MUST: Permissions on files are not set properly, see above
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}
OK - MUST: The package consistently uses macros, as described in the macros
section of Packaging Guidelines
OK - MUST: The package contains code, or permissible content
OK - MUST: Files included in %doc do not affect the runtime of the application.
FIX? - Consider including ChangeLog, although it's not that important
OK - MUST: The package does not contain any .la libtool archives
OK - MUST: The package contains a GUI application and includes a %{name}.desktop
file that file is properly installed with desktop-file-install
FIX - The icon of the desktop file is still diary. To fix this:
  sed -i 's!Icon=diary!Icon=almanah!' data/%{name}.desktop.in
OK - MUST: The packages does not own files or directories already owned by other
packages
OK - MUST: The package runs rm -rf %{buildroot} at the beginning of %install
OK - MUST: All filenames in the package are valid UTF-8
OK - SHOULD: The package builds in mock
OK - SHOULD: The package functions as described. There are some issues with
encrypted databases, but we can troubleshoot them with upstream once this
package is imported and he is back from vacation
OK - SHOULD: Latest version of the package

NEEDSWORK
Comment 22 Christoph Wickert 2008-07-13 20:23:51 EDT
There is a typo in the summary: A application needs to be "An Application" or
just "Application".
Comment 23 Christoph Wickert 2008-07-13 20:26:48 EDT
(In reply to comment #21)
>
> You should chown these files in %prep to fix these errors.

Did I just say "chown"??? Of course I meant "chmod" ;)
Comment 24 Jean-François Martin 2008-07-14 08:34:18 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/almanah.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/almanah-0.4.0-2.fc9.src.rpm
- Fix rpmlint warnings
- Include ChangeLog
- Fix icon name in desktop file

Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=714157
Comment 25 Christoph Wickert 2008-07-14 09:09:29 EDT
286c425227b1d271f88327cf3b023349  almanah-0.4.0-2.fc9.src.rpm
fixes all issues, so this package is

APPROVED
Comment 26 Jean-François Martin 2008-07-14 09:36:40 EDT
New Package CVS Request
=======================
Package Name: almanah
Short Description: An application to allow you to keep a diary of your life
Owners: lokthare
Branches: F-9
InitialCC: 
Cvsextras Commits: yes
Comment 27 Kevin Fenzi 2008-07-14 12:02:25 EDT
cvs done.
Comment 28 Fedora Update System 2008-07-14 13:08:54 EDT
almanah-0.4.0-2.fc9 has been submitted as an update for Fedora 9
Comment 29 Fedora Update System 2008-07-15 08:14:38 EDT
almanah-0.4.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update almanah'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6390
Comment 30 Bastien Nocera 2008-07-15 09:40:34 EDT
(In reply to comment #29)
> almanah-0.4.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If
problems still persist, please make note of it in this bug report.

You should push new packages directly to the stable tree, there's no need for it
to languish in testing.
Comment 31 Jean-François Martin 2008-07-15 10:19:20 EDT
(In reply to comment #30)
> You should push new packages directly to the stable tree, there's no need for it
> to languish in testing.

Ok, i have just pushed it to stable
Comment 32 Fedora Update System 2008-07-17 10:19:48 EDT
almanah-0.4.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.